Skip to main content
POST
Validate dialogue graph structure

Path Parameters

project_id
string
required
graph_id
string
required

Response

Validation report

Response for POST /dialogues/{id}/validate.

Entry errors accompany dead-end, unreachable and invalid-target diagnostics.

errors
Errors · object[]

Missing or dangling start node errors.

dead_ends
string[]

Nodes whose kind is not 'end' but whose branches[] list is empty.

unreachable
string[]

Nodes that cannot be reached from the graph's start_node_id (all nodes when the start_node_id is missing or invalid).

invalid_branch_targets
Invalid Branch Targets · object[]

Branches that reference a target_node_id which does not exist in this graph. Each entry is {from_node_id, target_node_id, choice_text}.